package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 舆情信息量统计明細对象 tc_yqxxltj
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("舆情信息量统计明細对象")
public class TcYqxxltj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "启用/禁用")
    private Long isStatus;

    /** 类型 */
    @Excel(name = "类型")
    private Long type;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateTime;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

}
